DSRW_READ_LIST(3)

FUNCTION
dsrw_read_list - Read the binary representation of a linked list.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_read_list

(Channel channel, CONST packet_desc *descriptor, list_header *header)

DESCRIPTION
This routine will read in the binary representation of a linked list of data from a channel object. The routine will recursively read in sub arrays and linked lists.

channel
    The channel object.

descriptor
    The packet descriptor for the list entries.

header
    The linked list header. The linked list entries and data will be contiguous in memory.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/